import {Field, FieldType, Injectable, Model} from '@extollo/lib'

/**
 * HostGroupHost Model
 * -----------------------------------
 * Put some description here.
 */
@Injectable()
export class HostGroupHost extends Model<HostGroupHost> {
    protected static table = 'p5x_host_group_hosts'
    protected static key = 'id'

    @Field(FieldType.serial)
    public id?: number

    @Field(FieldType.varchar, 'pve_host')
    public pveHost!: string

    @Field(FieldType.int, 'host_group_id')
    public hostGroupId!: number
}
